package com.brilliance.isc.funds.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ftd:FTD - Funds Transfer Data
 *
 *
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ftd{


        //@TDSetter(max=8)
        private String inr = NULLSTR;

        //Reference
        //@TDSetter(max=16)
        private String ownref = NULLSTR;

        //Externally Displayed Name to Identify the Contract
        //@TDSetter(max=40)
        private String nam = NULLSTR;

        //Date Funds Transfer Opened/Issued
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
       // @TDSetter
        private Date opndat = NULLDATE;

        //Value Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        //@TDSetter
        private Date valdat = NULLDATE;

        //Confirmed on
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
       //@TDSetter
        private Date cnfdat = NULLDATE;

        //Maturity Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        //@TDSetter
        private Date matdat = NULLDATE;

        //Date Closed
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        //@TDSetter
        private Date clsdat = NULLDATE;

        //Responsible User
       // @TDSetter(max=8)
        private String ownusr = NULLSTR;

        //Version Counter
       // @TDSetter(max=4)
        private String ver = NULLSTR;

        //Branch INR
       // @TDSetter(max=8)
        private String branchinr = NULLSTR;

        //Branch INR
        //@TDSetter(max=8)
        private String bchkeyinr = NULLSTR;

        //Funds Transfer Type
      //  @TDSetter(max=2)
        private String fttyp = NULLSTR;

        //Rate per year
      //  @TDSetter(scale=6)
        private  BigDecimal rat  = Decimals.ZERO_SCALE6;

        //Day count Fraction
      //  @TDSetter(max=7)
        private String cntfra = NULLSTR;

        //User
        //@TDSetter(max=8)
        private String usr = NULLSTR;

        //Bank Type
       // @TDSetter(max=1)
        private String bnktyp = NULLSTR;

        //entity extkey
       // @TDSetter(max=8)
        private String etyextkey = NULLSTR;

        //挂�'�编号
       // @TDSetter(max=16)
        private String gzno = NULLSTR;

























}